// Example 29 from page 25 of Java Precisely (version 1.05 of 2000-11-23)
import java.util.Enumeration;

class Example29 {
   public static void main(String[] args) {
     Enumeration seq = suffixes(args[0]);
     while (seq.hasMoreElements())
       System.out.println(seq.nextElement());
   }

  // Create and return an enumeration of all non-empty suffixes of s
  static Enumeration suffixes(final String s) {
    class SuffixEnumeration implements Enumeration {
      int startindex=0;
      public boolean hasMoreElements() { return startindex < s.length(); }
      public Object nextElement() { return s.substring(startindex++); }
    }
    return new SuffixEnumeration();
  }
}

