// Example 56 from page 45 of Java Precisely (version 1.05 of 2000-11-23)

class Example56 {
  public static void main(String[] args) {
    int[] wait = new int[1000];
    for (int i=0; i<10000; i++)
      wait[waitsum()]++;
    for (int w=5; w<10; w++)
      System.out.println(w + ": " + wait[w]);
  }
  
  // Throw a die and compute sum until five or six comes up
  static int waitsum() {
    int sum = 0, eyes;
    do {
      eyes = (int)(1 + 6 * Math.random());
      sum += eyes;
    } while (eyes < 5);
    return sum;
  }
}

