// Example 10 from page 13 of Java Precisely (version 1.05 of 2000-11-23)

class Example10 {
  public static void main(String[] args) {
    // Roll a die, count frequencies
    int[] freq = new int[6];                    // all initialized to 0
    for (int i=0; i<1000; i++) {
      int die = (int)(1 + 6 * Math.random());
      freq[die-1] += 1;
    }
    for (int c=1; c<=6; c++)
      System.out.println(c + " came up " + freq[c-1] + " times");

    // Create an array of the strings "A0", "A1", ..., "A19"
    String[] number = new String[20];           // all initialized to null
    for (int i=0; i<number.length; i++)
      number[i] = "A" + i;
    for (int i=0; i<number.length; i++)
      System.out.println(number[i]);

    Number[] a = new Integer[10];       // Length 10, element type Integer
    Double d = new Double(3.14);        // Type Double,  class Double
    Integer i = new Integer(117);       // Type Integer, class Integer
    Number n = i;                       // Type Number,  class Integer
    a[0] = i;                           // OK, Integer is subtype of Integer
    a[1] = n;                           // OK, Integer is subtype of Integer
    System.out.println("stored a[0] and a[1]");
    a[2] = d;                           // NO, Double not subtype of Integer
  }
}

