// Example 36 from page 31 of Java Precisely (version 1.05 of 2000-11-23)

class Example36 {
  public static void main(String[] args) throws Exception {  
    int a = 0x3;                        // Bit pattern   0011
    int b = 0x5;                        // Bit pattern   0101
    println4(a);                        // Prints        0011
    println4(b);                        // Prints        0101
    println4(~a);                       // Prints        1100
    println4(~b);                       // Prints        1010
    println4(a & b);                    // Prints        0001
    println4(a ^ b);                    // Prints        0110
    println4(a | b);                    // Prints        0111
  }

  static void println4(int n) {
    for (int i=3; i>=0; i--)
      System.out.print(n >> i & 1);
    System.out.println();
  }
}

