// Example 44 from page 35 of Java Precisely (version 1.05 of 2000-11-23)
import java.util.Vector;

class SPoint {
  static Vector allpoints = new Vector();
  int x, y;

  SPoint(int x, int y) { allpoints.addElement(this); this.x = x; this.y = y; }
  void move(int dx, int dy) { x += dx; y += dy; }
  public String toString() { return "(" + x + ", " + y + ")"; }
  int getIndex() { return allpoints.indexOf(this); }
  static int getSize() { return allpoints.size(); }
  static SPoint getPoint(int i) { return (SPoint)allpoints.elementAt(i); }
}

